--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: check for older versions of rbot with data formats that require updating NB this function is called <em>early</em> in init(), pretty much all you have to work with is @bot.botclass.
full_name: Irc::Bot::Registry#upgrade_data
is_singleton: false
name: upgrade_data
params: ()
visibility: public
